Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class CommunityDesktop

    java.lang.Object
      com.bea.netuix.application.communities.CommunityDesktop

All Implemented Interfaces
  Serializable

    public class CommunityDesktop

extends Object
implements Serializable

CommunityDesktop - specifies the desktop to be used to create a community. It can either be an existing desktop, a streamed desktop template, a dot portal file template or a community template. This class should be used only to specify a desktop during community creation.

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Constructor Summary
`CommunityDesktop(DesktopDefinition desktopDefinition)` Constructor for when the desktop to be associated with a community does not already exist and needs to be created as part of community creation.
`CommunityDesktop(DesktopDefinitionId desktopDefinitionId)` Constructor for when the desktop to be associated with a community is a streamed, normal or template desktop.
`CommunityDesktop(DesktopDefinitionId desktopDefinitionId, boolean cloneSourceDesktop)` Constructor for when the desktop to be associated with a community is a streamed, normal or template desktop.
`CommunityDesktop(TemplateId templateId)` Constructor for when the desktop to be associated with a community is a template.

Method Summary
`CommunityDesktop` | `clone()`
`boolean` | `equals(Object o)`
`DesktopDefinition` | `getDesktopDefinition()` Returns the `DesktopDefinition`, if the desktop to be associated with a community does not already exist.
`DesktopDefinitionId` | `getDesktopDefinitionId()` Returns the `DesktopDefinitionId` of the desktop, if a desktop has been associated with this `CommunityDesktop`, `null` otherwise.
`TemplateId` | `getTemplateId()` Returns the `TemplateId` of the template, if a template has been associated with this `CommunityDesktop`, `null` otherwise.
`boolean` | `isCloneSourceDesktop()` Returns `true` if the source desktop specified should be cloned and `false` if this community should directly reference it.
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommunityDesktop

    public CommunityDesktop(DesktopDefinitionId desktopDefinitionId,
                            boolean cloneSourceDesktop)

  Constructor for when the desktop to be associated with a community is a streamed, normal or template desktop.

  Parameters
    `desktopDefinitionId` - `DesktopDefinitionId` of desktop under consideration. If the desktop is a normal desktop, it's customized version for the current user will be used.
    `cloneSourceDesktop` - `true` if the source desktop should be cloned and the clone associated with the community, `false` if the source desktop itself should be associated with the community. If set to `false` and the source desktop is of type other than COMMUNITY, it is converted to type COMMUNITY. An exception is thrown if this is set to `false` and the source desktop does not exist or is in use. Defaults to `true` if not specified.

### CommunityDesktop

    public CommunityDesktop(DesktopDefinitionId desktopDefinitionId)

  Constructor for when the desktop to be associated with a community is a streamed, normal or template desktop.

  Parameters
    `desktopDefinitionId` - `DesktopDefinitionId` of desktop under consideration. If the desktop is a normal desktop, it's customized version for the current user will be used.

### CommunityDesktop

    public CommunityDesktop(DesktopDefinition desktopDefinition)

  Constructor for when the desktop to be associated with a community does not already exist and needs to be created as part of community creation.

  Parameters
    `desktopDefinition` - Desktop definition to be created

### CommunityDesktop

    public CommunityDesktop(TemplateId templateId)

  Constructor for when the desktop to be associated with a community is a template. The template may either be a desktop, portal file or community.

  Parameters
    `templateId` - `TemplateId` for the dot portal file

Method Detail

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()

  Returns the `DesktopDefinitionId` of the desktop, if a desktop has been associated with this `CommunityDesktop`, `null` otherwise.

  Returns
    `DesktopDefinitionId`

### isCloneSourceDesktop

    public boolean isCloneSourceDesktop()

  Returns `true` if the source desktop specified should be cloned and `false` if this community should directly reference it. If this flag is set to false and the source desktop is in use, an exception will be thrown or if the desktop is not of type COMMUNITY, it will be converted to type COMMUNITY.

  Returns
    cloneSourceDesktop

### getDesktopDefinition

    public DesktopDefinition getDesktopDefinition()

  Returns the `DesktopDefinition`, if the desktop to be associated with a community does not already exist.

  Returns
    `DesktopDefinition`

### getTemplateId

    public TemplateId getTemplateId()

  Returns the `TemplateId` of the template, if a template has been associated with this `CommunityDesktop`, `null` otherwise.

  Returns
    `TemplateId`

### clone

    public CommunityDesktop clone()

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.